﻿
/*Create a filter based on condition */
function getElementsWithAttribute(attr)
{
	var elementsWithAttribute = [];
	var elements = document.body.getElementsByTagName('*');
	for (var i = 0; i < elements.length; i++)
	{
		if (elements[i].getAttribute(attr))
		{
			elementsWithAttribute.push(elements[i]);
		}
	}
	return elementsWithAttribute;
}

function showHideRole() {
	/*Create variable for anything that is a condition */
	var elements = getElementsWithAttribute('data-mc-conditions');
	/* Select the id of the filter dropdown */
	var e = document.getElementById('role-select');
	var selectedRole = e.options[e.selectedIndex].value;
	for (var i = 0; i < elements.length; i++) {
		if (elements[i].getAttribute('data-mc-conditions').indexOf(selectedRole) > -1 ) {
			
			elements[i].classList.remove("moduleFiltered");
		}
		else {
			elements[i].classList.remove("moduleNotFiltered");
			elements[i].classList.add("moduleFiltered");
		}
	}
}

window.onload=showHideRole()